//DS18S20 Test
//
//C: AtMega32
//16 Mhz
//
//DS18S20 an PortD.7
//Kommunikation ber RS232



//F_CPU definieren
#define F_CPU 16000000UL

//Includes
#include <avr/io.h>
#include <util/delay.h>
#include "rs232.h"
#include "ds18s20.h"

//Funktionen
void init(void);

//Variablen




//Hauptprogramm
int main(void) {

	//Initialisierung
	init();

	//UART Init
	uart_init();
	
	if (ow_reset() == 0x00) {uart_puts("Device vorhanden");} else {uart_puts("kein Device vorhanden");};

	//Hauptschleife
	while(1) {
		;
	}
	
	return 0;
}


//Initialisierung
void init(void) {

	//PortD als Input
	DDRD = 0x00;
	//Pullups an
	PORTD = 0xFF;

}
